import { Responsive } from '@radix-ui/themes/props';
import React__default from 'react';

interface ListRootProps {
    variant?: 'ol' | 'ul';
    size?: Responsive<'small' | 'large'>;
    children?: React__default.ReactNode;
    preSpace?: 'regular' | 'small';
    className?: string;
    style?: React__default.CSSProperties;
}
declare function Root(props: ListRootProps): React__default.ReactElement;
interface ListItemProps {
    children?: React__default.ReactNode;
}
declare function Item(props: ListItemProps): React__default.ReactElement;
declare function useList(): {
    size: Responsive<'small' | 'large'>;
};
declare const List: {
    Root: typeof Root;
    Item: typeof Item;
};

export { List, type ListItemProps, type ListRootProps, useList };
